Delete files
curl --request DELETE \
--url https://yungle.co/api/v1/collections/{id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileIds": [
"<string>"
]
}
'import requests
url = "https://yungle.co/api/v1/collections/{id}/files"
payload = { "fileIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileIds: ['<string>']})
};
fetch('https://yungle.co/api/v1/collections/{id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": 1
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"details": {},
"docs": "<string>"
}
}Collections
Delete files
DELETE
/
collections
/
{id}
/
files
Delete files
Authorizations
An API key from Settings → API keys, sent as Authorization: Bearer yk_live_…. Scopes: transfers:read, transfers:write, collections:read, collections:write, contacts:read, contacts:write, webhooks:read, webhooks:write. A write scope implies read of the same resource.
Path Parameters
Collection id. Never a slug — see the Concepts page.
Body
application/json
Required array length:
1 - 500 elementsMinimum string length:
1Response
How many were deleted.
How many files were deleted.
Required range:
x >= 0